Subject: [sidr] new draft

From: Stephen Kent <[email-masked]>
Date: Thu, 27 Jan 2011 12:16:46 -0500

Folks,

I have posted an individual submission ( draft-kent-bgpsec-threats-00.txt)
as a first cut at a threat model for BGP path secruity, based on use 
of the RPKI that this WG has developed, and based on the use of 
digital signatures applied to AS path info in BGP update messages. 
Since path secruity is the next topic that the WG is poised to 
address (as we complete work on the RPKI document set)
it seemed like an appropriate time to submit a threat model of this sort.

I'd like SIDR to consider adopting a threat model for BGP path secruity
as a WG item, and offer this as a starting point for the discussion (if
the WG agrees to pursue this topic).

Steve

---

From: Randy Bush <[email-masked]>
Date: Fri, 28 Jan 2011 06:36:09 +0900

> I'd like SIDR to consider adopting a threat model for BGP path
> secruity as a WG item, and offer this as a starting point for the
> discussion (if the WG agrees to pursue this topic).

support

randy

---

From: Maureen Stillman <[email-masked]>
Date: Fri, 28 Jan 2011 13:10:57 -0600

I support pursuit of the topic.  I am in the process of reading the internet
draft and will have comments later.

Maureen

On Thu, Jan 27, 2011 at 3:36 PM, Randy Bush <[email-masked]> wrote:

> _______________________________________________
> sidr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidr
>

---

From: Danny McPherson <[email-masked]>
Date: Sat, 29 Jan 2011 23:57:16 -0500

> the WG agrees to pursue this topic).

Thanks Steve for posting this, as many have noted path security 
is necessary and very important to secure inter-domain routing.

For the chairs, 
As a point of order, are we agreeing now that the WG is going to address 
path security?  In resource certification repositories?  or routing protocols 
themselves?  Given that my _comments previously were constrained by 
this, I do hope we agree addressing path security will now be in charter and
within scope of the WG - or perhaps we create a new WG that works on items
beyond resource certification and RPKI and focuses on routing protocols 
- or if they're attempting to adapt current protocols (e.g., BGP) then the 
extensions be performed in those respective working groups (e.g., IDR)?

That said, I do hope we don't assume that discussions of path security in a 
routing protocol should be constrained by the RPKI architecture itself.

-danny